<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <IsPackable>false</IsPackable>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="FluentAssertions" />
    <PackageReference Include="Moq" />
    <PackageReference Include="NUnit" />
    <PackageReference Include="NUnit3TestAdapter">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
    <PackageReference Include="XMLUnit.Core" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <TestFiles Include="$(SolutionDir)\resources\test\**\*.*" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\SdmxAPI\SdmxAPI.csproj" />
    <ProjectReference Include="..\SdmxDataParser\SdmxDataParser.csproj" />
    <ProjectReference Include="..\SdmxObjects\SdmxObjects.csproj" />
    <ProjectReference Include="..\SdmxQueryBuilder\SdmxQueryBuilder.csproj" />
    <ProjectReference Include="..\SdmxStructureMutableParser\SdmxStructureMutableParser.csproj" />
    <ProjectReference Include="..\SdmxStructureParser\SdmxStructureParser.csproj" />
    <ProjectReference Include="..\SdmxStructureRetrieval\SdmxStructureRetrieval.csproj" />
    <ProjectReference Include="..\TestUtils\TestUtils.csproj" />
  </ItemGroup>
  <ItemGroup>
    <None Update="StructureReferences\CodelistsForHierarchical.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\HierarchicalCodelists.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\Metadata.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\Process.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\ProvisionAgreement.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\Registration.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="StructureReferences\Structures.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <Target Name="CopyCustomContent" AfterTargets="AfterBuild">
    <Message Text="Copying test files from $(SolutionDir)\resources\test to $(OutputPath)" />
    <Copy SourceFiles="@(TestFiles)" DestinationFolder="$(OutputPath)\%(RecursiveDir)" UseHardlinksIfPossible="true" SkipUnchangedFiles="true" />
  </Target>
</Project>
